Extended length modem send commands (0x62) are not parsed correctly

11/21/2014 06:44 PM - Luke Murphey

Status: New Start date: 11/21/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.10   

Description

The data I'm seeing is:

06.96.92.00.00.00.00.00.00.00.00.00.00.00

History

#1 - 11/21/2014 06:57 PM - Luke Murphey

The problem is that extended length modem send commands are not parsed correctly.

#2 - 11/21/2014 06:58 PM - Luke Murphey

- Subject changed from Viewing thermostat data in iOS app causes failure to parse messages in modular input to Extended length modem send

commands (0x62) are not parsed correctly

Changing title from "Viewing thermostat data in iOS app causes failure to parse messages in modular input" since the root cause has been identified.

#3 - 11/21/2014 07:43 PM - Luke Murphey

If the send is extended length, then it ought to be considered 22 bytes (or length of 20 in pyinsteon).

#4 - 03/31/2015 06:32 AM - Luke Murphey

- Target version changed from 0.5 to 0.6

#5 - 04/11/2015 12:39 AM - Luke Murphey

- Target version changed from 0.6 to 0.9

#6 - 02/02/2016 03:15 AM - Luke Murphey

- Target version changed from 0.9 to 0.10
